curl --request GET \
--url https://api.komerza.com/stores/{storeId}/products \
--header 'Authorization: Bearer <token>'{
"success": true,
"pages": 123,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"variants": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"name": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost": 50000,
"deliveryTypes": [
"<string>"
],
"files": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"friendlyName": "<string>",
"ipAddress": "<string>",
"userId": "<string>"
}
],
"minimumQuantity": 123,
"maximumQuantity": 123,
"order": 123,
"imageNames": [
"<string>"
],
"stock": 123,
"stockMode": 0,
"customFields": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"identifier": "<string>",
"type": "<string>",
"isRequired": true,
"options": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"customFieldId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"value": "<string>",
"order": 1073741823
}
],
"placeholder": "<string>",
"hint": "<string>"
}
],
"dynamicUrl": "<string>",
"deliveryMessage": "<string>",
"metadata": "<string>"
}
],
"name": "<string>",
"description": "<string>",
"visibility": 0,
"imageNames": [
"<string>"
],
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "<string>",
"shouldBlockVpns": true,
"order": 123,
"isBestSeller": true,
"blacklistedPaymentGateways": [
"<string>"
],
"additionalFees": {},
"affiliateDiscountMode": 0,
"stock": 123,
"slug": "<string>",
"metaDescription": "<string>",
"metadata": "<string>",
"customAffiliateDiscountPercentage": 50
}
]
}Retrieves products in pages.
Requires the stores.products.view permission.
curl --request GET \
--url https://api.komerza.com/stores/{storeId}/products \
--header 'Authorization: Bearer <token>'{
"success": true,
"pages": 123,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"variants": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"name": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost": 50000,
"deliveryTypes": [
"<string>"
],
"files": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"friendlyName": "<string>",
"ipAddress": "<string>",
"userId": "<string>"
}
],
"minimumQuantity": 123,
"maximumQuantity": 123,
"order": 123,
"imageNames": [
"<string>"
],
"stock": 123,
"stockMode": 0,
"customFields": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"identifier": "<string>",
"type": "<string>",
"isRequired": true,
"options": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"customFieldId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"value": "<string>",
"order": 1073741823
}
],
"placeholder": "<string>",
"hint": "<string>"
}
],
"dynamicUrl": "<string>",
"deliveryMessage": "<string>",
"metadata": "<string>"
}
],
"name": "<string>",
"description": "<string>",
"visibility": 0,
"imageNames": [
"<string>"
],
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "<string>",
"shouldBlockVpns": true,
"order": 123,
"isBestSeller": true,
"blacklistedPaymentGateways": [
"<string>"
],
"additionalFees": {},
"affiliateDiscountMode": 0,
"stock": 123,
"slug": "<string>",
"metaDescription": "<string>",
"metadata": "<string>",
"customAffiliateDiscountPercentage": 50
}
]
}| Field | Type | Description |
|---|---|---|
visibility | integer | Filter by privacy level. See Product Privacy |
isBestSeller | boolean | Filter best-seller products |
shouldBlockVpns | boolean | Filter products that block VPNs |
lowStock | boolean | Filter products with low stock availability |
# Public best-sellers with low stock
GET /api/stores/{storeId}/products?filters=visibility==0,isBestSeller==true,lowStock==true
# Products that don't block VPNs
GET /api/stores/{storeId}/products?filters=shouldBlockVpns==false
Your API key goes here
The ID of the store.
Filter by visibility (Public / Unlisted / Private). List of product visibility (or privacy) levels
0, 1, 2 Show only best-sellers (true) or non-best-sellers (false).
Filter on whether VPNs are blocked for the product.
Filter by products that have low stock availability.
1 <= x <= 21474836471 <= x <= 2147483647The object was successfully returned.
Represents a paginated response returned from API endpoints, which contains the paginated data and metadata about the pagination.
Was this page helpful?